#include <Standalone.h>
#include "../Include/endianutils.h"
#include "../Include/palmos5.h"

#include "GSI_Res.h"

#define RESID RESID_GsiEnabled

#define SWAP32( x ) ( ( ( x ) >> 24 ) | ( ( ( x ) & 0x00FF0000l ) >> 8 ) | ( ( ( x ) & 0x0000FF00l ) << 8 ) |  ( ( x ) << 24 ) )

STANDALONE_CODE_RESOURCE_TYPESTR_ID("armc", RESID);

typedef Boolean (*pfnGsiEnabled)( Boolean state );

Boolean MyGsiEnabled( void )
{
    UInt32 enabled;

    return errNone == FtrGet( MY_CRID, FTR_ENABLED, &enabled ) && enabled;
}
